> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Set group attributes
> Creates and updates the group attributes. Existing attributes are overwritten.
Request body example:
[{
"name" : "GroupAttributeName",
"value" : "12345"
}]
## OpenAPI
````json POST /group/setAttributes
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/group/setAttributes": {
"post": {
"tags": [
"Group"
],
"summary": "Set group attributes",
"description": "Creates and updates the group attributes. Existing attributes are overwritten.[{
\"name\" : \"GroupAttributeName\",
\"value\" : \"12345\"
}]",
"operationId": "setAttributes",
"parameters": [
{
"name": "groupId",
"in": "query",
"description": "ID of the group for which we request the parameters.",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Attribute"
}
}
}
},
"x-bodyName": "body"
},
"responses": {
"204": {
"description": "Example response: